U++ - Bug #712

Bugs in TabBar and TabBarCtrl

03/07/2014 11:26 AM - Massimo Del Fedele

Status: Approved Start date: 03/07/2014
Priority: High Due date:

Assignee: Miroslav Fidler % Done: 100%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

Using TabBar and associated TabBarCirl | found following bugs :

- In TabBarCtrl the control is NOT removed on tab closing
- In TabBar :
- Missing End() in paint routine, crash when BOTTOM or RIGHT alignment used
- Filling client area before re-setting Draw origin erse tabbar in BOTTOM and RIGHT modes
. WhenCloseXXX handlers calls non uniform and depending on tab-closing code path
- WhenCloseXXX sometimes called AFTER tab is deleted, invalidating keys passed to handler

And some more I'm still investigating.

I'll try to fix all of them....

History

#1 - 03/07/2014 03:12 PM - Massimo Del Fedele

- File TabBar.zip added

- Status changed from New to Ready for QA

- Assignee changed from Massimo Del Fedele to Miroslav Fidler
- % Done changed from 50 to 100

Should be fixed now....I've attached here the whole package with fixes.

#2 - 03/08/2014 03:20 PM - Massimo Del Fedele
- Assignee changed from Miroslav Fidler to Massimo Del Fedele

Please wait to upload... it still has some bugs which I'm investgating.

#3 - 03/08/2014 04:26 PM - Massimo Del Fedele
- File TabBar.zip added
- Assignee changed from Massimo Del Fedele to Miroslav Fidler

More fixes done. | hope it's finished.... In my app now there are no more bugs related to TabBar.

#4 - 03/09/2014 10:26 PM - Zbigniew Rebacz
- File TabBar.iml added
I think it would be nice if we will also smooth "CHK" icon. | enclose patched TabBar.iml file.

#5 - 03/10/2014 01:17 PM - Miroslav Fidler
- Status changed from Ready for QA to Patch ready

#6 - 03/19/2014 06:46 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

Files

TabBar.zip 26.2 KB 03/07/2014 Massimo Del Fedele
TabBar.zip 26.2 KB 03/08/2014 Massimo Del Fedele
TabBar.iml 9.51 KB 03/09/2014 Zbigniew Rebacz
